
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org Network Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.Network</h1><h2>Description</h2>
<p>The Network interface provides access to high level networking functions.  Please see org.moblin.connman and org.bluez for low level networking functions.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.Network</tt></p>
<h2>Methods</h2><ul>
<li><a href="#StartConnectionSharingWithInterface">StartConnectionSharingWithInterface</a></li>
<li><a href="#StopConnectionSharingWithInterface">StopConnectionSharingWithInterface</a></li>
<li><a href="#OfferDefaultRoute">OfferDefaultRoute</a></li>
</ul>
<h2>Signals</h2><i>None</i>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="StartConnectionSharingWithInterface">StartConnectionSharingWithInterface</a> ( s )</h3>
<p><i>Description:</i> Start sharing the internet connection of this device with any clients  connected to the specified network interface via DHCP. </p><p><div class="rationale"><p>Might launch a dhcp server process and adjust IP tables. </p></div></p><h4>Parameters</h4><i>s: interface</i><p>The network interface to start sharing the connectivity with. </p>
<h3><a name="StopConnectionSharingWithInterface">StopConnectionSharingWithInterface</a> ( s )</h3>
<p><i>Description:</i> Stop sharing the internet connection of this device with any clients  connected to the specified network interface via DHCP. </p><p><div class="rationale"><p>Might stop a dhcp server process and adjust IP tables. </p></div></p><h4>Parameters</h4><i>s: interface</i><p>The network interface to stop sharing the connectivity with. </p>
<h3><a name="OfferDefaultRoute">OfferDefaultRoute</a> ( sssssss )</h3>
<p><i>Description:</i> Offer a default route to the internet. </p><p><div class="rationale"><p>NOTE that this method is for TESTING purposes only. Eventually connman will be used for that. </p></div></p><h4>Parameters</h4><i>s: technology</i><p>The technology offering the default route. </p><i>s: interface</i><p>The network interface offering the default route. </p><i>s: ipv4address</i><p>The network address to configure the interface with. </p><i>s: ipv4mask</i><p>The network mask to configure the interface with. </p><i>s: ipv4gateway</i><p>The network gateway address for the default route. </p><i>s: dns1</i><p>The first DNS address. </p><i>s: dns2</i><p>The second DNS address. </p>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

